package com.yida.data.device.camera.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.camera.EduCamera;
import com.yida.data.common.core.entity.camera.EduCameraAreaGroup;
import com.yida.data.device.vo.camera.EduCameraAreaGroupVO;
import com.yida.data.device.vo.camera.H5ThemeListVO;

import java.util.List;

/**
 * @author ccl
 */
public interface EduCameraAreaGroupService extends IService<EduCameraAreaGroup> {

    /**
     * 查询当前登录用户可见所有监控分组
     * @param schoolId
     * @return
     */
    List<EduCameraAreaGroup> listCameraGroup(Long schoolId);

    /**
     * 查询组对应所有设备
     * @param cameraPage
     * @param groupId
     * @return
     */
    Page<EduCamera> listCamera(Page<EduCamera> cameraPage, Long groupId,String cameraCode,Long staffId);

    /**
     * 查询树状区域分组
     * @param deptId
     * @return
     */
    List<EduCameraAreaGroup> findAreaGroupList(Long deptId);

    /**
     * 查询区域对应摄像头
     * @param id
     * @return
     */
    List<EduCamera> findGroupCamera(Long id);

    void updateAreaGroupList(String name, Integer upOrDown, Long groupId);

    List<EduCameraAreaGroupVO> findTreeGroup(Long deptId);

    List<H5ThemeListVO> listParentTheme(Long parentId);
}
